package com.njzscloud.supervisory.route.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.route.pojo.RouteEntity;

import java.util.List;

/**
 * 路线管理
 */
public interface RouteService extends IService<RouteEntity> {

    /**
     * 新增
     */
    void add(RouteEntity routeEntity);

    /**
     * 修改
     */
    void modify(RouteEntity routeEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    RouteEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<RouteEntity> paging(PageParam pageParam, RouteEntity routeEntity);

}

